# Uses of Interface
net.sf.statcvs.pages.MarkupSyntax

Packages that use MarkupSyntax
Package
Description
net.sf.statcvs.output
net.sf.statcvs.pages
net.sf.statcvs.pages.xml
net.sf.statcvs.renderer

## Uses of MarkupSyntax in net.sf.statcvs.output

Fields in net.sf.statcvs.output declared as MarkupSyntax
Modifier and Type
Field
Description
`static final MarkupSyntax`
ReportConfig.`HTML`
`static final MarkupSyntax`
ReportConfig.`XDOC`
`static final MarkupSyntax`
ReportConfig.`XML`
Methods in net.sf.statcvs.output that return MarkupSyntax
Modifier and Type
Method
Description
`MarkupSyntax`
ReportConfig.`getMarkup()`
`static MarkupSyntax`
ConfigurationOptions.`getMarkupSyntax()`
Constructors in net.sf.statcvs.output with parameters of type MarkupSyntax
Modifier
Constructor
Description
``
`ReportConfig(Repository repository, String projectName, String rootDirectory, MarkupSyntax syntax, CssHandler cssHandler, String charSet)`

## Uses of MarkupSyntax in net.sf.statcvs.pages

Classes in net.sf.statcvs.pages that implement MarkupSyntax
Modifier and Type
Class
Description
`class`
`MarkupHTML`
`class`
`MarkupXDoc`
Methods in net.sf.statcvs.pages that return MarkupSyntax
Modifier and Type
Method
Description
`static MarkupSyntax`
MarkupHTML.`getInstance()`
`static MarkupSyntax`
MarkupXDoc.`getInstance()`

## Uses of MarkupSyntax in net.sf.statcvs.pages.xml

Classes in net.sf.statcvs.pages.xml that implement MarkupSyntax
Modifier and Type
Class
Description
`class`
`MarkupXML`
Methods in net.sf.statcvs.pages.xml that return MarkupSyntax
Modifier and Type
Method
Description
`static MarkupSyntax`
MarkupXML.`getInstance()`

## Uses of MarkupSyntax in net.sf.statcvs.renderer

Methods in net.sf.statcvs.renderer that return MarkupSyntax
Modifier and Type
Method
Description
`MarkupSyntax`
HTMLTableCellRenderer.`getOutput()`
`MarkupSyntax`
XMLRenderer.`getOutput()`
Methods in net.sf.statcvs.renderer with parameters of type MarkupSyntax
Modifier and Type
Method
Description
`void`
HTMLTableCellRenderer.`setOutput(MarkupSyntax output)`
`void`
XMLRenderer.`setOutput(MarkupSyntax output)`
Constructors in net.sf.statcvs.renderer with parameters of type MarkupSyntax
Modifier
Constructor
Description
``
`TableRenderer(Table table, MarkupSyntax output)`
Creates a new table renderer for the given table model